package com.kmall.api.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 第三方商户快递账号表实体
 * 表名 third_merch_express
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2019-04-03 16:52:21
 */
public class ThirdMerchExpressVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Integer id;
    /**
     * 商户快递账号
     */
    private String expressAccount;
    /**
     * 商户快递密码
     */
    private String expressPwd;
    /**
     * 商户快递月结账号
     */
    private String expressCusId;
    /**
     * 第三方商户代码
     */
    private String thirdPartyMerchCode;
    /**
     * 备注
     */
    private String remark;
    /**
     * 创建人编号
     */
    private String createrSn;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人编号
     */
    private String moderSn;
    /**
     * 修改时间
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;

    private String thirdPartyMerchName;

    public String getThirdPartyMerchName() {
        return thirdPartyMerchName;
    }

    public void setThirdPartyMerchName(String thirdPartyMerchName) {
        this.thirdPartyMerchName = thirdPartyMerchName;
    }

    /**
     * 设置：主键
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取：主键
     */
    public Integer getId() {
        return id;
    }
    /**
     * 设置：商户快递账号
     */
    public void setExpressAccount(String expressAccount) {
        this.expressAccount = expressAccount;
    }

    /**
     * 获取：商户快递账号
     */
    public String getExpressAccount() {
        return expressAccount;
    }
    /**
     * 设置：商户快递密码
     */
    public void setExpressPwd(String expressPwd) {
        this.expressPwd = expressPwd;
    }

    /**
     * 获取：商户快递密码
     */
    public String getExpressPwd() {
        return expressPwd;
    }
    /**
     * 设置：商户快递月结账号
     */
    public void setExpressCusId(String expressCusId) {
        this.expressCusId = expressCusId;
    }

    /**
     * 获取：商户快递月结账号
     */
    public String getExpressCusId() {
        return expressCusId;
    }
    /**
     * 设置：第三方商户代码
     */
    public void setThirdPartyMerchCode(String thirdPartyMerchCode) {
        this.thirdPartyMerchCode = thirdPartyMerchCode;
    }

    /**
     * 获取：第三方商户代码
     */
    public String getThirdPartyMerchCode() {
        return thirdPartyMerchCode;
    }
    /**
     * 设置：备注
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 获取：备注
     */
    public String getRemark() {
        return remark;
    }
    /**
     * 设置：创建人编号
     */
    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    /**
     * 获取：创建人编号
     */
    public String getCreaterSn() {
        return createrSn;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：修改人编号
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：修改人编号
     */
    public String getModerSn() {
        return moderSn;
    }
    /**
     * 设置：修改时间
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：修改时间
     */
    public Date getModTime() {
        return modTime;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }
}
